Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.provider
Class SdItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.sd.util.SdAdapterFactory
              org.eclipse.amp.amf.sd.provider.SdItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class SdItemProviderAdapterFactory

extends SdAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Nested Class Summary
`static class` | `SdItemProviderAdapterFactory.MetaABMChildCreationExtender` A child creation extender for the `MetaABMPackage`.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected SdAuxVariableItemProvider` | `sdAuxVariableItemProvider` This keeps track of the one adapter used for all `SdAuxVariable` instances.
`protected SdConnectorItemProvider` | `sdConnectorItemProvider` This keeps track of the one adapter used for all `SdConnector` instances.
`protected SdFlowVariableItemProvider` | `sdFlowVariableItemProvider` This keeps track of the one adapter used for all `SdFlowVariable` instances.
`protected SdModelItemProvider` | `sdModelItemProvider` This keeps track of the one adapter used for all `SdModel` instances.
`protected SdNamedElementItemProvider` | `sdNamedElementItemProvider` This keeps track of the one adapter used for all `SdNamedElement` instances.
`protected SdStockVariableItemProvider` | `sdStockVariableItemProvider` This keeps track of the one adapter used for all `SdStockVariable` instances.
`protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

Fields inherited from class org.eclipse.amp.amf.sd.util.SdAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`SdItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createSdAuxVariableAdapter()` This creates an adapter for a `SdAuxVariable`.
`org.eclipse.emf.common.notify.Adapter` | `createSdConnectorAdapter()` This creates an adapter for a `SdConnector`.
`org.eclipse.emf.common.notify.Adapter` | `createSdFlowVariableAdapter()` This creates an adapter for a `SdFlowVariable`.
`org.eclipse.emf.common.notify.Adapter` | `createSdModelAdapter()` This creates an adapter for a `SdModel`.
`org.eclipse.emf.common.notify.Adapter` | `createSdNamedElementAdapter()` This creates an adapter for a `SdNamedElement`.
`org.eclipse.emf.common.notify.Adapter` | `createSdStockVariableAdapter()` This creates an adapter for a `SdStockVariable`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.amp.amf.sd.util.SdAdapterFactory
`createAdapter, createEObjectAdapter, createIAgentChildAdapter, createIModelExtensionAdapter, createSdAbstractVariableAdapter, createSdEquationVariableAdapter, createSdGeneratableAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### sdNamedElementItemProvider

    protected SdNamedElementItemProvider sdNamedElementItemProvider

  This keeps track of the one adapter used for all `SdNamedElement` instances.

### sdModelItemProvider

    protected SdModelItemProvider sdModelItemProvider

  This keeps track of the one adapter used for all `SdModel` instances.

### sdAuxVariableItemProvider

    protected SdAuxVariableItemProvider sdAuxVariableItemProvider

  This keeps track of the one adapter used for all `SdAuxVariable` instances.

### sdStockVariableItemProvider

    protected SdStockVariableItemProvider sdStockVariableItemProvider

  This keeps track of the one adapter used for all `SdStockVariable` instances.

### sdFlowVariableItemProvider

    protected SdFlowVariableItemProvider sdFlowVariableItemProvider

  This keeps track of the one adapter used for all `SdFlowVariable` instances.

### sdConnectorItemProvider

    protected SdConnectorItemProvider sdConnectorItemProvider

  This keeps track of the one adapter used for all `SdConnector` instances.

Constructor Detail

### SdItemProviderAdapterFactory

    public SdItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createSdNamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSdNamedElementAdapter()

  This creates an adapter for a `SdNamedElement`.

  Overrides:
    `createSdNamedElementAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdNamedElement`

### createSdModelAdapter

    public org.eclipse.emf.common.notify.Adapter createSdModelAdapter()

  This creates an adapter for a `SdModel`.

  Overrides:
    `createSdModelAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdModel`

### createSdAuxVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdAuxVariableAdapter()

  This creates an adapter for a `SdAuxVariable`.

  Overrides:
    `createSdAuxVariableAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdAuxVariable`

### createSdStockVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdStockVariableAdapter()

  This creates an adapter for a `SdStockVariable`.

  Overrides:
    `createSdStockVariableAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdStockVariable`

### createSdFlowVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdFlowVariableAdapter()

  This creates an adapter for a `SdFlowVariable`.

  Overrides:
    `createSdFlowVariableAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdFlowVariable`

### createSdConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createSdConnectorAdapter()

  This creates an adapter for a `SdConnector`.

  Overrides:
    `createSdConnectorAdapter` in class `SdAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SdConnector`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SdAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD